diff --git a/src/libcrun/container.c b/src/libcrun/container.c
index 48926cc..ebadb79 100644
--- a/src/libcrun/container.c
+++ b/src/libcrun/container.c
@@ -3698,3 +3698,9 @@ libcrun_container_read_pids (libcrun_context_t *context, const char *id, bool re
 
   return libcrun_cgroup_read_pids (cgroup_status, recurse, pids, err);
 }
+
+char *
+libcrun_get_version()
+{
+  return PACKAGE_VERSION;
+}
diff --git a/src/libcrun/container.h b/src/libcrun/container.h
index e0fb516..3d0a8c7 100644
--- a/src/libcrun/container.h
+++ b/src/libcrun/container.h
@@ -183,6 +183,8 @@ LIBCRUN_PUBLIC int libcrun_container_restore (libcrun_context_t *context, const
 
 LIBCRUN_PUBLIC int libcrun_container_read_pids (libcrun_context_t *context, const char *id, bool recurse, pid_t **pids, libcrun_error_t *err);
 
+LIBCRUN_PUBLIC char *libcrun_get_version();
+
 // Not part of the public API, just a method in container.c we need to access from linux.c
 void get_root_in_the_userns (runtime_spec_schema_config_schema *def, uid_t host_uid, gid_t host_gid,
                              uid_t *uid, gid_t *gid);
